Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.search.spans
Class SpanNearQuery

    java.lang.Object
      org.apache.lucene.search.Query
          org.apache.lucene.search.spans.SpanQuery
              org.apache.lucene.search.spans.SpanNearQuery

All Implemented Interfaces:
  Serializable, Cloneable

    public class SpanNearQuery

extends SpanQuery

Matches spans which are near one another. One can specify slop, the maximum number of intervening unmatched positions, as well as whether matches are required to be in-order.

See Also:
  Serialized Form

Constructor Summary
`SpanNearQuery(SpanQuery[] clauses, int slop, boolean inOrder)` Construct a SpanNearQuery.

Method Summary
`boolean` | `equals(Object o)` Returns true iff `o` is equal to this.
`void` | `extractTerms(Set terms)` Expert: adds all terms occuring in this query to the terms set.
`SpanQuery[]` | `getClauses()` Return the clauses whose spans are matched.
`String` | `getField()` Returns the name of the field matched by this query.
`PayloadSpans` | `getPayloadSpans(IndexReader reader)` Returns the matches for this query in an index, including access to any `Payload`s at those positions.
`int` | `getSlop()` Return the maximum number of intervening unmatched positions permitted.
`Spans` | `getSpans(IndexReader reader)` Expert: Returns the matches for this query in an index.
`Collection` | `getTerms()` Deprecated. use extractTerms instead
`int` | `hashCode()`
`boolean` | `isInOrder()` Return true if matches are required to be in-order.
`Query` | `rewrite(IndexReader reader)` Expert: called to re-write queries into primitive queries.
`String` | `toString(String field)` Prints a query to a string, with `field` assumed to be the default field and omitted.

Methods inherited from class org.apache.lucene.search.spans.SpanQuery
`createWeight`

Methods inherited from class org.apache.lucene.search.Query
`clone, combine, getBoost, getSimilarity, mergeBooleanQueries, setBoost, toString, weight`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SpanNearQuery

    public SpanNearQuery(SpanQuery[] clauses,
                         int slop,
                         boolean inOrder)

  Construct a SpanNearQuery. Matches spans matching a span from each clause, with up to `slop` total unmatched positions between them. * When `inOrder` is true, the spans from each clause must be * ordered as in `clauses`.

Method Detail

### getClauses

    public SpanQuery[] getClauses()

  Return the clauses whose spans are matched.

### getSlop

    public int getSlop()

  Return the maximum number of intervening unmatched positions permitted.

### isInOrder

    public boolean isInOrder()

  Return true if matches are required to be in-order.

### getField

    public String getField()

  Description copied from class: `SpanQuery`
  Returns the name of the field matched by this query.

  Specified by:
    `getField` in class `SpanQuery`

### getTerms

    public Collection getTerms()

  Deprecated. use extractTerms instead

  Returns a collection of all terms matched by this query.

  Specified by:
    `getTerms` in class `SpanQuery`
  See Also:
    `extractTerms(Set)`

### extractTerms

    public void extractTerms(Set terms)

  Description copied from class: `Query`
  Expert: adds all terms occuring in this query to the terms set. Only works if this query is in its `rewritten` form.

  Overrides:
    `extractTerms` in class `Query`

### toString

    public String toString(String field)

  Description copied from class: `Query`
  Prints a query to a string, with `field` assumed to be the default field and omitted.

  The representation used is one that is supposed to be readable by `QueryParser`. However, there are the following limitations:

  - If the query was created by the parser, the printed representation may not be exactly what was parsed. For example, characters that need to be escaped will be represented without the required backslash.
  - Some of the more complicated queries (e.g. span queries) don't have a representation that can be parsed by QueryParser.

  Specified by:
    `toString` in class `Query`

### getSpans

    public Spans getSpans(IndexReader reader)
                   throws IOException

  Description copied from class: `SpanQuery`
  Expert: Returns the matches for this query in an index. Used internally to search for spans.

  Specified by:
    `getSpans` in class `SpanQuery`
  Throws:
    `IOException`

### getPayloadSpans

    public PayloadSpans getPayloadSpans(IndexReader reader)
                                 throws IOException

  Description copied from class: `SpanQuery`
  Returns the matches for this query in an index, including access to any `Payload`s at those positions. Implementing classes that want access to the payloads will need to implement this.

  Overrides:
    `getPayloadSpans` in class `SpanQuery`
  Parameters:
    `reader` - The `IndexReader` to use to get spans/payloads
  Returns:
    null
  Throws:
    `IOException` - if there is an error accessing the payload WARNING: The status of the Payloads feature is experimental. The APIs introduced here might change in the future and will not be supported anymore in such a case.

### rewrite

    public Query rewrite(IndexReader reader)
                  throws IOException

  Description copied from class: `Query`
  Expert: called to re-write queries into primitive queries. For example, a PrefixQuery will be rewritten into a BooleanQuery that consists of TermQuerys.

  Overrides:
    `rewrite` in class `Query`
  Throws:
    `IOException`

### equals

    public boolean equals(Object o)

  Returns true iff `o` is equal to this.

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2009 Apache Software Foundation. All Rights Reserved.